import {ElementColumnsList, ResPage, ResultData} from "@/api/interface/index";
import { PORT1 } from "@/api/config/servicePort";
import http from "@/api";


/**
 * @name 实时监测报警模块
 */
// 获取自动站基本信息
export const getPlatformList = (params: {}) => {
  return http.post<ResPage<any>>(PORT1 + `/queryasinfo`, params,{ loading: false });
};


//查询所有人工要素字典表
export const getRgDataList = () => {
  return http.post<ResPage<ElementColumnsList[]>>(PORT1 + `/queryalldataList`);
};



//查询观测要素
export const getDataItemList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/querydataitem`,params);
};


//根据条件查询危险天气记录表
export const getTacRecordList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/querytactrecordlist`,params);
};


//查询所有自动站部件字典
export const getYallSensorList = () => {
  return http.post<ResPage<any>>(PORT1 + `/queryallsensorlist`);
};


//查询工况数据
export const getStaitemList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/querystaitem`,params);
};


//查询所有自动站部件字典
export const getQuerCertList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/queryascalinfolist`,params);
};

// 统计到报率
export const getArriveList = (params:{}) => {
  return http.post<ResPage<any>>(PORT1 + `/censusdataarrive`,params);
};

// 统计自动站定检证书
export const getCertificateList = () => {
  return http.post<ResPage<any>>(PORT1 + `/censusascalinfomap`);
};

// 获取FTP链接状态
export const getFTPList = () => {
  return http.post<ResPage<any>>(PORT1 + `/censusftpstate`);
};



//获取所有系统配置【queryallsysitem】
export const getQueryAllSysItem = () => {
  return http.post<ResPage<any>>(PORT1 + `/queryallsysitem`);
};
